| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# step

$Revision: 1.3 $

$Date: 2002/06/12 11:18:37 $

step — A unit of action in a procedure

## Synopsis

### Content Model

    step ::=
    (title?,
     (((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
        simplelist|variablelist|caution|important|note|tip|warning|
        literallayout|programlisting|programlistingco|screen|screenco|
        screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
        fieldsynopsis|constructorsynopsis|destructorsynopsis|
        methodsynopsis|formalpara|para|simpara|address|blockquote|
        graphic|graphicco|mediaobject|mediaobjectco|informalequation|
        informalexample|informalfigure|informaltable|equation|example|
        figure|table|msgset|procedure|sidebar|qandaset|productionset|
        constraintdef|anchor|bridgehead|remark|highlights|abstract|
        authorblurb|epigraph|indexterm|beginpage)+,
       (substeps,
        (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
         simplelist|variablelist|caution|important|note|tip|warning|
         literallayout|programlisting|programlistingco|screen|
         screenco|screenshot|synopsis|cmdsynopsis|funcsynopsis|
         classsynopsis|fieldsynopsis|constructorsynopsis|
         destructorsynopsis|methodsynopsis|formalpara|para|simpara|
         address|blockquote|graphic|graphicco|mediaobject|
         mediaobjectco|informalequation|informalexample|
         informalfigure|informaltable|equation|example|figure|table|
         msgset|procedure|sidebar|qandaset|productionset|
         constraintdef|anchor|bridgehead|remark|highlights|abstract|
         authorblurb|epigraph|indexterm|beginpage)*)?)|
      (substeps,
       (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
        simplelist|variablelist|caution|important|note|tip|warning|
        literallayout|programlisting|programlistingco|screen|screenco|
        screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
        fieldsynopsis|constructorsynopsis|destructorsynopsis|
        methodsynopsis|formalpara|para|simpara|address|blockquote|
        graphic|graphicco|mediaobject|mediaobjectco|informalequation|
        informalexample|informalfigure|informaltable|equation|example|
        figure|table|msgset|procedure|sidebar|qandaset|productionset|
        constraintdef|anchor|bridgehead|remark|highlights|abstract|
        authorblurb|epigraph|indexterm|beginpage)*)))

### Attributes

Common attributes

Name | Type | Default

performance

Enumeration:
optional
required

"required"

## Description

A `Step` identifies a unit of action in a `Procedure`. If a finer level of granularity is required for some steps, you can embed `SubSteps` in a `Step`. Embedded `SubSteps` contain `Step`s, so that substeps can be nested to any depth.

### Processing expectations

Formatted as a displayed block. `Step`s are almost always numbered.

### Parents

These elements contain step: `procedure`, `substeps`.

### Children

The following elements occur in step: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `substeps`, `synopsis`, `table`, `tip`, `title`, `variablelist`, `warning`.

## Attributes

performance

  `Performance` specifies whether particular `Step` in a `Procedure` must be performed or is optional.

## Examples

For examples, see `procedure`.

state |  | street

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.